Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins
Class NoPassivationCachePolicy

    java.lang.Object
      org.jboss.ejb.plugins.NoPassivationCachePolicy

All Implemented Interfaces:
  org.jboss.util.CachePolicy, Monitorable

public class NoPassivationCachePolicy
extends Object
implements org.jboss.util.CachePolicy, Monitorable

Implementation of a no passivation cache policy.

Version:
  $Revision: 1.11 $
Author:
  Simone Bordet
See Also:
  `AbstractInstanceCache`

Constructor Summary
`NoPassivationCachePolicy(AbstractInstanceCache eic)` Creates a no passivation cache policy object given the instance cache that use this policy object, that btw is not used.

Method Summary
`void` | `create()`
`void` | `destroy()`
`void` | `flush()`
`Object` | `get(Object key)`
`void` | `insert(Object key, Object ctx)`
`Object` | `peek(Object key)`
`void` | `remove(Object key)`
`void` | `sample(Object s)` Samples the status of the implementor object and register the status into the snapshot argument.
`int` | `size()`
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoPassivationCachePolicy

    public NoPassivationCachePolicy(AbstractInstanceCache eic)

  Creates a no passivation cache policy object given the instance cache that use this policy object, that btw is not used.

Method Detail

### sample

    public void sample(Object s)

  Description copied from interface: `Monitorable`
  Samples the status of the implementor object and register the status into the snapshot argument.

  Specified by:
    `sample` in interface `Monitorable`

### create

    public void create()
                throws Exception

  Specified by:
    `create` in interface `org.jboss.util.CachePolicy`
  Throws:
    `Exception`

### start

    public void start()
               throws Exception

  Specified by:
    `start` in interface `org.jboss.util.CachePolicy`
  Throws:
    `Exception`

### stop

    public void stop()

  Specified by:
    `stop` in interface `org.jboss.util.CachePolicy`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `org.jboss.util.CachePolicy`

### get

    public Object get(Object key)

  Specified by:
    `get` in interface `org.jboss.util.CachePolicy`

### peek

    public Object peek(Object key)

  Specified by:
    `peek` in interface `org.jboss.util.CachePolicy`

### insert

    public void insert(Object key,
                       Object ctx)

  Specified by:
    `insert` in interface `org.jboss.util.CachePolicy`

### remove

    public void remove(Object key)

  Specified by:
    `remove` in interface `org.jboss.util.CachePolicy`

### flush

    public void flush()

  Specified by:
    `flush` in interface `org.jboss.util.CachePolicy`

### size

    public int size()

  Specified by:
    `size` in interface `org.jboss.util.CachePolicy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.